<?php
class baseAction extends CommonAction{
		private $bs;
		function __construct(){
			parent::__construct();
			$this->bs=new  baseModel();
		}

		function baseset(){
			$varList=$this->bs->getSet();
			$this->assign("varList",$varList);
			$this->display("admin/base/baseset.html");

		}

		function set(){
			$error=false;
			if($this->bs->validateForm($_POST)){
				if($this->bs->writeConfig("config.inc.php",$_POST)){
					$error=false;
				}else{
					$error=true;
				}
			}else{
				$error=true;
			}

			if($error){
				$this->showMsg($this->bs->getMessList(),"admin.php?m=base&a=baseset");
			}else{
				$this->showMsg("³É¹¦ÐÞ¸ÄÅäÖÃ","admin.php?m=base&a=baseset");
			}


		}


		function focus(){
			$this->display("admin/base/focusset.html");
		}

}
?>
